LocalVariablesSorter (cglib (Version 2.2.2))
Date: 2016-02-19

net.sf.cglib.core

## Class LocalVariablesSorter

- java.lang.Object
- - org.objectweb.asm.MethodAdapter
  - - net.sf.cglib.core.LocalVariablesSorter

- All Implemented Interfaces:
    org.objectweb.asm.MethodVisitor
  Direct Known Subclasses:
    CodeEmitter

      public class LocalVariablesSorter
      extends org.objectweb.asm.MethodAdapter

  A `MethodAdapter` that renumbers local variables in their order of appearance. This adapter allows one to easily add new local variables to a method.
  Author:
    Chris Nokleberg, Eric Bruneton

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalVariablesSorter(int access, java.lang.String desc, org.objectweb.asm.MethodVisitor mv)`
    `LocalVariablesSorter(LocalVariablesSorter lvs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visitIincInsn(int var, int increment)`
    `void` | `visitLocalVariable(java.lang.String name, java.lang.String desc, java.lang.String signature, org.objectweb.asm.Label start, org.objectweb.asm.Label end, int index)`
    `void` | `visitMaxs(int maxStack, int maxLocals)`
    `void` | `visitVarInsn(int opcode, int var)`

    - ### Methods inherited from class org.objectweb.asm.MethodAdapter

      `visitAnnotation, visitAnnotationDefault, visitAttribute, visitCode, visitEnd, visitFieldInsn, visitFrame, visitInsn, visitIntInsn, visitJumpInsn, visitLabel, visitLdcInsn, visitLineNumber, visitLookupSwitchInsn, visitMethodInsn, visitMultiANewArrayInsn, visitParameterAnnotation, visitTableSwitchInsn, visitTryCatchBlock, visitTypeInsn`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalVariablesSorter

          public LocalVariablesSorter(int access,
                              java.lang.String desc,
                              org.objectweb.asm.MethodVisitor mv)

    - #### LocalVariablesSorter

          public LocalVariablesSorter(LocalVariablesSorter lvs)

  - ### Method Detail

    - #### visitVarInsn

          public void visitVarInsn(int opcode,
                          int var)

      Specified by:
        `visitVarInsn` in interface `org.objectweb.asm.MethodVisitor`
      Overrides:
        `visitVarInsn` in class `org.objectweb.asm.MethodAdapter`

    - #### visitIincInsn

          public void visitIincInsn(int var,
                           int increment)

      Specified by:
        `visitIincInsn` in interface `org.objectweb.asm.MethodVisitor`
      Overrides:
        `visitIincInsn` in class `org.objectweb.asm.MethodAdapter`

    - #### visitMaxs

          public void visitMaxs(int maxStack,
                       int maxLocals)

      Specified by:
        `visitMaxs` in interface `org.objectweb.asm.MethodVisitor`
      Overrides:
        `visitMaxs` in class `org.objectweb.asm.MethodAdapter`

    - #### visitLocalVariable

          public void visitLocalVariable(java.lang.String name,
                                java.lang.String desc,
                                java.lang.String signature,
                                org.objectweb.asm.Label start,
                                org.objectweb.asm.Label end,
                                int index)

      Specified by:
        `visitLocalVariable` in interface `org.objectweb.asm.MethodVisitor`
      Overrides:
        `visitLocalVariable` in class `org.objectweb.asm.MethodAdapter`

Copyright (c) 2001 - Apache Software Foundation